/*
 * tclGeoLine - maintain a database of latLonArrays
 *
 * Copyright (C) 1999 Gordon D. Carrie
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 * 
 * Please address questions and bug reports to gcarri@mail.txcyber.com
 *
 **********************************************************************
 *
 */

#ifndef _TCL_GEOLINES_H_
#define _TCL_GEOLINES_H_

#include <X11/Xlib.h>
#include <tcl.h>
#include "geography.h"
#include "geoProj.h"
#include "geoLines.h"

/* Initialize the database */
int Tclgeolines_Init(Tcl_Interp *interp);

GeoLineArray
GetLatLonArray(char *latLonArrayName);

int
GeoLatLonUseArray(char *latLonArrayName);

void
GeoLatLonFreeArray(char *latLonArrayName);

#endif
